# Send Questionnaire

PUT /{questionnaireId}/send

#### Description

Sends a questionnaire to a specified recipient or set of recipients, initiating the response process and tracking delivery status.

Endpoint: PUT /{questionnaireId}/send
Version: 1.0
Security: oauth2

## Path parameters:

  - `questionnaireId` (string, required)
    Unique ID of the questionnaire to send

## Request fields (application/json):

  - `objectType` (string, required)
    The type of the object.
    Enum: "audit", "connection", "control", "controlScope", "domain", "freshnessHistory", "exportFile", "label", "organization", "organizationUser", "policy", "program", "proof", "request", "requirement", "risk", "riskRegister", "section", "task", "scope", "template", "user"

  - `invitedToId` (string, required)
    The unique identifier of the questionnaire to send.
    Example: "42310868-81f9-48c3-b68a-6582495c36b7"

  - `version` (integer, required)
    The version of the questionnaire to send.

  - `objectInfo` (array, required)
    Information about who the questionnaire invitation is being sent to and for what vendor.
    Example: [{"objectId":"859c5f4f-734d-4c7f-9673-efa7f30e4da8","ownerId":"75c7a61b-0366-48d4-843a-e9ff69292793","respondentType":"owner"}]

  - `objectInfo.objectId` (string, required)
    The unique identifier of the object to send the questionnaire to, e.g. vendor id.
    Example: "859c5f4f-734d-4c7f-9673-efa7f30e4da8"

  - `objectInfo.ownerId` (string, required)
    The unique identifier of the owner of the object when respondentType is owner or ownerAndContact.
    Example: "75c7a61b-0366-48d4-843a-e9ff69292793"

  - `objectInfo.contactIds` (array)
    The unique identifiers of the contacts to send the questionnaire to when respondentType is contact or ownerAndContact.
    Example: ["f5a7ad1b-0366-48dc-842a-e9ff6zb92a45"]

  - `objectInfo.respondentType` (string, required)
    The type of respondent for the questionnaire invitation.
    Enum: "owner", "contact", "ownerAndContact"

## Response 200 fields (application/json):

  - `questionnaireId` (string)
    The unique identifier for the questionnaire.
    Example: "d297b753-05da-46bb-8558-15177350d244"

  - `invitationId` (string)
    The unique identifier for the questionnaire invitation.
    Example: "8a0c64fa-1bff-4741-a332-dc7458f7144a"

  - `version` (integer)
    The version of the questionnaire.

  - `vendorId` (string)
    The unique identifier for the vendor.

  - `vendorName` (string)
    The name of the vendor.
    Example: "Acme"

  - `contactGivenName` (string)
    The given name of the person the questionnaire was sent to.

  - `contactSurname` (string)
    The surname of the person the questionniare was sent to.

  - `contactEmail` (string)
    The email address of the person the questionnaire was sent to.

  - `QuestionnaireStatus` (string)
    The completion status of the questionnaire.
    Enum: "sent", "inProgress", "completed", "unlocked", "closed"

  - `QuestionnaireInvitationUserType` (string)
    The type of user the questionnaire was sent to (i.e. Owner or External Contact).
    Enum: "owner", "externalObjectContact"

  - `latestResponseVersion` (integer)
    The latest version of the responses.

  - `recipients` (array)
    Collection of invitation recipients
    Example: [{"name":"John Doe","email":"John@hyperproof.io"}]

  - `recipients.name` (string, required)
    The name of the of questionnaire recipient.
    Example: "John Doe"

  - `recipients.email` (string, required)
    The email of the questionnaire recipient.
    Example: "John@hyperproof.io"

  - `reminderCount` (integer)
    The count of reminders that have been sent for this questionnaire invitation.

  - `dateLastSent` (string)
    The date the questionnaire invitation was last sent (ISO-8601 format).

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

  - `createdBy` (string)
    The unique identifier of the user who created the questionnaire invitation.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date the questionnaire invitation was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the questionnaire invitation.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date the questionnaire invitation was updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `permissions` (array)
    List of permissions the API user has on the question condition.
    Example: []


